## libmarpa-r2-perl 2.086000~dfsg

=== etc/Makefile ===
# Copyright 2014 Jeffrey Kegler
# This file is part of Marpa::R2.  Marpa::R2 is free software: you can
# redistribute it and/or modify it under the terms of the GNU Lesser
# General Public License as published by the Free Software Foundation,
# either version 3 of the License, or (at your option) any later version.
#
# Marpa::R2 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser
# General Public License along with Marpa::R2.  If not, see
# http://www.gnu.org/licenses/.

build:
	(cd ..;perl Build.PL)
	(cd ..;./Build realclean)
	(cd ..;perl Build.PL)
	(cd ..;./Build)
	(cd ..;./Build distmeta)
	(cd ..;./Build test)
	(cd ..;./Build disttest)

update:
	(cd ..;perl Build.PL)
	(cd ..;./Build)
	(cd ..;./Build distmeta)
	(cd ..;./Build dist)
	(cd ..;perl Build.PL)

devlib:
	(cd ..;perl Build.PL)
	(cd ..;./Build install --install_base $$HOME/devlib)

=== libmarpa/Makefile ===
# Copyright 2014 Jeffrey Kegler
# This file is part of Marpa::R2.  Marpa::R2 is free software: you can
# redistribute it and/or modify it under the terms of the GNU Lesser
# General Public License as published by the Free Software Foundation,
# either version 3 of the License, or (at your option) any later version.
#
# Marpa::R2 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser
# General Public License along with Marpa::R2.  If not, see
# http://www.gnu.org/licenses/.

.PHONY: install docs sources stage_copy

dummy:
	@echo install is the main target

stage/configure: stage_copy
	test -d stage || mkdir stage
	test -d stage/m4 || mkdir stage/m4
	cd stage && autoreconf -iv

stage/Makefile: stage/configure
	cd stage && ./configure

doc/api.pdf: stage_copy doc/Makefile doc/api.texi
	cd doc && make pdf

doc/api.html/index.html: stage_copy doc/Makefile doc/api.texi
	cd doc && make html

doc/internal.pdf: stage_copy doc/Makefile doc/internal.texi
	cd doc && make pdf

doc/internal.html/index.html: stage_copy doc/Makefile doc/internal.texi
	cd doc && make html

stage_copy:
	perl bin/to_stage.pl

install: sources stage/stamp-h1 doc/stamp-h1

MAKEABLE_DIR = ami dev slif tavl public
CLEANABLE_DIR = $(MAKEABLE_DIR)

sources:
	for d in $(MAKEABLE_DIR); do (cd $$d; make); done

clean:
	for d in $(CLEANABLE_DIR); do (cd $$d; make clean); done
	rm -rf stage

stage/stamp-h1: stage/Makefile stage_copy
	(cd stage; make dist)
	date > $@

doc/stamp-h1: doc/Makefile docs
	(cd doc; make dist)
	date > $@

doc/configure: $(DOC_SOURCE_FILES)
	test -d doc/m4 || mkdir doc/m4
	cd doc && autoreconf -ivf

doc/Makefile: doc/configure
	cd doc && ./configure

docs: doc/Makefile \
  doc/api.pdf doc/api.html/index.html \
  doc/internal.pdf doc/internal.html/index.html

=== meta/Makefile ===
# Copyright 2014 Jeffrey Kegler
# This file is part of Marpa::R2.  Marpa::R2 is free software: you can
# redistribute it and/or modify it under the terms of the GNU Lesser
# General Public License as published by the Free Software Foundation,
# either version 3 of the License, or (at your option) any later version.
#
# Marpa::R2 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser
# General Public License along with Marpa::R2.  If not, see
# http://www.gnu.org/licenses/.

.PHONY: dummy all html_meta

dummy:

all: ../lib/Marpa/R2/Internal.pm html_meta

../lib/Marpa/R2/Internal.pm: make_internal_pm.pl
	perl make_internal_pm.pl > $@

html_meta:
	(cd ../html/meta; make all)

=== html/meta/Makefile ===
# Copyright 2014 Jeffrey Kegler
# This file is part of Marpa::R2.  Marpa::R2 is free software: you can
# redistribute it and/or modify it under the terms of the GNU Lesser
# General Public License as published by the Free Software Foundation,
# either version 3 of the License, or (at your option) any later version.
#
# Marpa::R2 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser
# General Public License along with Marpa::R2.  If not, see
# http://www.gnu.org/licenses/.

dummy:

all: ../lib/Marpa/R2/HTML/Internal.pm

../lib/Marpa/R2/HTML/Internal.pm: make_internal_pm.pl
	perl make_internal_pm.pl > $@

=== libmarpa/ami/Makefile ===
# Copyright 2014 Jeffrey Kegler
# This file is part of Marpa::R2.  Marpa::R2 is free software: you can
# redistribute it and/or modify it under the terms of the GNU Lesser
# General Public License as published by the Free Software Foundation,
# either version 3 of the License, or (at your option) any later version.
#
# Marpa::R2 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser
# General Public License along with Marpa::R2.  If not, see
# http://www.gnu.org/licenses/.

CWEAVE = cweave -p
CTANGLE = ctangle -p

.PHONY: all

.SUFFIXES: .dvi .tex .w .pdf

.w.tex:
	$(CWEAVE) $*

.tex.dvi:	
	tex $<

.w.dvi:
	make $*.tex
	make $*.dvi

.w.c:
	$(CTANGLE) $*

.w.o:
	make $*.c
	make $*.o

.w.pdf:
	make $*.tex
	pdftex -interaction=batchmode -halt-on-error $* || cat $*.log

all: marpa_ami.pdf sources

sources: marpa_ami.c marpa_ami.h

C_LANGUAGE_PREAMBLE = ../shared/license.c ../shared/do_not_edit.c
MARPA_AMI_H_PIECES =  $(C_LANGUAGE_PREAMBLE) marpa_ami.h.p10 marpa_ami.h.p50  marpa_ami.h.p90
MARPA_AMI_C_PIECES = $(C_LANGUAGE_PREAMBLE) marpa_ami.c.p10 marpa_ami.c.p40 marpa_ami.c.p50

marpa_ami.h.p10 marpa_ami.h.p90 marpa_ami.c.p10: ../shared/copyright_page_license.w marpa_ami.w
	$(CTANGLE) marpa_ami.w

cwebmac.tex: ../shared/cwebmac.tex
	cp $? $@

marpa_ami.tex: cwebmac.tex ../shared/copyright_page_license.w

marpa_ami.pdf: marpa_ami.tex

marpa_ami.h: $(MARPA_AMI_H_PIECES)
	cat $(MARPA_AMI_H_PIECES) > $@

marpa_ami.c: $(MARPA_AMI_C_PIECES)
	cat $(MARPA_AMI_C_PIECES) > $@

CPPWRAP = perl ../bin/cppwrap.pl

marpa_ami.c.p40: marpa_ami.w
	perl w2private_h.pl < $? | $(CPPWRAP) $@ > $@

marpa_ami.h.p50: api.texi internal.texi
	cat api.texi internal.texi | \
	  perl ../bin/texi2proto.pl /dev/null > marpa_ami.h.p50

update_texi:
	emacs -batch internal.texi \
	    -f texinfo-every-node-update \
	    -f texinfo-all-menus-update \
	    -f save-buffer -kill

CLEAN_FILES = cwebmac.tex marpa_ami.c marpa_ami.c.p10 marpa_ami.c.p40 marpa_ami.c.p50 \
  marpa_ami.h marpa_ami.h.p10 marpa_ami.h.p50 marpa_ami.h.p90 marpa_ami.idx \
  marpa_ami.log marpa_ami.pdf marpa_ami.scn marpa_ami.tex marpa_ami.toc

clean:
	rm -f $(CLEAN_FILES)

=== libmarpa/dev/Makefile ===
# Copyright 2014 Jeffrey Kegler
# This file is part of Marpa::R2.  Marpa::R2 is free software: you can
# redistribute it and/or modify it under the terms of the GNU Lesser
# General Public License as published by the Free Software Foundation,
# either version 3 of the License, or (at your option) any later version.
#
# Marpa::R2 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser
# General Public License along with Marpa::R2.  If not, see
# http://www.gnu.org/licenses/.

CWEAVE = cweave -p
CTANGLE = ctangle -p

.PHONY: docs

.SUFFIXES: .dvi .tex .w .pdf

.w.tex:
	$(CWEAVE) $*

.tex.dvi:	
	tex $<

.w.dvi:
	make $*.tex
	make $*.dvi

.w.c:
	$(CTANGLE) $*

.w.o:
	make $*.c
	make $*.o

.w.pdf:
	make $*.tex
	pdftex -interaction=batchmode -halt-on-error $* || cat $*.log

all: legacy.pdf marpa.pdf sources

sources: marpa.c marpa.h.p50 marpa.h.p80 marpa.h.p80

C_LANGUAGE_PREAMBLE = ../shared/license.c ../shared/do_not_edit.c
MARPA_C_PIECES = $(C_LANGUAGE_PREAMBLE) marpa.c.p10 marpa.c.p40 marpa.c.p50

marpa.c: $(MARPA_C_PIECES)
	cat $(MARPA_C_PIECES) > $@

marpa.h.p50 marpa.c.p10 marpa.c.p50: ../shared/copyright_page_license.w marpa.w
	$(CTANGLE) marpa.w

marpa.h.p80 marpa.def: api.texi internal.texi
	cat api.texi internal.texi | \
	  perl ../bin/texi2proto.pl marpa.def > marpa.h.p80

CPPWRAP = perl ../bin/cppwrap.pl

marpa.c.p40: marpa.w
	perl w2private_h.pl < $? | $(CPPWRAP) $@ > $@

cwebmac.tex: ../shared/cwebmac.tex
	cp $? $@

marpa.pdf: marpa.tex cwebmac.tex

legacy.pdf: legacy.tex cwebmac.tex

docs: marpa.pdf legacy.pdf

update_texi:
	emacs -batch api.texi \
	    -eval '(texinfo-master-menu 1)' \
	    -f save-buffer -kill
	emacs -batch internal.texi \
	    -eval '(texinfo-master-menu 1)' \
	    -f save-buffer -kill

CLEAN_FILES = marpa.c marpa.c.p10 marpa.c.p40 marpa.c.p50 \
  marpa.h.p50 marpa.h.p80 \
  marpa.idx marpa.log marpa.pdf marpa.scn marpa.tex marpa.toc \
  legacy.idx legacy.log legacy.pdf legacy.scn legacy.tex legacy.toc

clean:
	rm -f $(CLEAN_FILES)

=== libmarpa/public/Makefile ===
# Copyright 2014 Jeffrey Kegler
# This file is part of Marpa::R2.  Marpa::R2 is free software: you can
# redistribute it and/or modify it under the terms of the GNU Lesser
# General Public License as published by the Free Software Foundation,
# either version 3 of the License, or (at your option) any later version.
#
# Marpa::R2 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser
# General Public License along with Marpa::R2.  If not, see
# http://www.gnu.org/licenses/.

.PHONY: all

# This directory does the final build of the public headers
# Because this process collects the data from the various #define's
# It also build marpa_codes.c, which contains data for reverse
# lookup of events, errors, etc., by number.

CPPWRAP = perl ../bin/cppwrap.pl
C_LANGUAGE_PREAMBLE = ../shared/license.c ../shared/do_not_edit.c
MARPA_H_PIECES = $(C_LANGUAGE_PREAMBLE) \
  marpa.h.p10 marpa.h-version marpa.h-err \
  marpa.h-event marpa.h-step \
  marpa.h.p50 marpa.h.p80 marpa.h.p90

all: marpa_slif.h marpa.h marpa_codes.c

marpa.h.p50: ../dev/marpa.h.p50
	cp $? $@

marpa.h.p80: ../dev/marpa.h.p80
	$(CPPWRAP) $@ < $? > $@

marpa.h: $(MARPA_H_PIECES)
	cat $(MARPA_H_PIECES) > marpa.h

MARPA_SLIF_H_PIECES = $(C_LANGUAGE_PREAMBLE) marpa_slif.h.p50 marpa_slif.h.p80 marpa_slif.h-ops

CPPWRAP = perl ../bin/cppwrap.pl
marpa_slif.h.p50: ../slif/marpa_slif.h.p50
	cp $? $@

marpa_slif.h.p80: ../slif/marpa_slif.h.p80
	$(CPPWRAP) $@ < $? > $@

marpa_slif.h-ops: ../slif/marpa_slif.h-ops
	$(CPPWRAP) $@ < $? > $@

marpa_slif.h: $(MARPA_SLIF_H_PIECES)
	cat $(MARPA_SLIF_H_PIECES) > $@

# The pieces with the code data,
# not yet wrapped with the pre-processor line directive
MARPA_CODES_C_UNWRAPPED = marpa_codes.c.p10 marpa.c-err marpa.c-event marpa.c-step

MARPA_CODES_C_PIECES = $(C_LANGUAGE_PREAMBLE) $(MARPA_CODES_C_UNWRAPPED)

marpa_codes.c: $(MARPA_CODES_C_PIECES)
	(cat $(C_LANGUAGE_PREAMBLE) ; \
		for f in $(MARPA_CODES_C_UNWRAPPED); \
		do $(CPPWRAP) $$f < $$f; \
		done) > $@

API_TEXI_FILES = ../dev/api.texi ../slif/api.texi
marpa.c-err marpa.h-err: $(API_TEXI_FILES)
	cat $(API_TEXI_FILES) | \
	  perl texi2err.pl marpa.c-err | \
	  $(CPPWRAP) marpa.h-err > marpa.h-err

marpa.c-event marpa.h-event: ../dev/api.texi
	cat $(API_TEXI_FILES) | \
	  perl texi2event.pl marpa.c-event | \
	  $(CPPWRAP) marpa.h-event > marpa.h-event

marpa.c-step marpa.h-step: ../dev/api.texi
	cat $(API_TEXI_FILES) | \
	  perl texi2step.pl marpa.c-step | \
	  $(CPPWRAP) marpa.h-step > marpa.h-step

CLEAN_FILES = marpa.c-err marpa.c-event marpa.c-step \
  marpa.h marpa.h-err marpa.h-event marpa.h-step marpa.h.p50 marpa.h.p80 \
  marpa_codes.c marpa_slif.h marpa_slif.h.p50

clean:
	rm -f $(CLEAN_FILES)

=== libmarpa/slif/Makefile ===
# Copyright 2014 Jeffrey Kegler
# This file is part of Marpa::R2.  Marpa::R2 is free software: you can
# redistribute it and/or modify it under the terms of the GNU Lesser
# General Public License as published by the Free Software Foundation,
# either version 3 of the License, or (at your option) any later version.
#
# Marpa::R2 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser
# General Public License along with Marpa::R2.  If not, see
# http://www.gnu.org/licenses/.

# Code for the "Scanless interface" or SLIF, an upper
# layer for libmarpa.

CWEAVE = cweave -p
CTANGLE = ctangle -p

.PHONY: all

.SUFFIXES: .dvi .tex .w .pdf

.w.tex:
	$(CWEAVE) $*

.tex.dvi:	
	tex $<

.w.dvi:
	make $*.tex
	make $*.dvi

.w.c:
	$(CTANGLE) $*

.w.o:
	make $*.c
	make $*.o

.w.pdf:
	make $*.tex
	pdftex -interaction=batchmode -halt-on-error $* || cat $*.log

all: marpa_slif.pdf sources

sources: marpa_slif.c marpa_slif.h.p50 marpa_slif.h.p80 marpa_slif.h-ops marpa_slif.c-ops

C_LANGUAGE_PREAMBLE = ../shared/license.c ../shared/do_not_edit.c
MARPA_SLIF_H_PIECES =  $(C_LANGUAGE_PREAMBLE) marpa_slif.h.p50 marpa_slif.h.p80
MARPA_SLIF_C_PIECES = $(C_LANGUAGE_PREAMBLE) marpa_slif.c.p10 marpa_slif.c-ops \
  marpa_slif.c.p40 marpa_slif.c.p50

marpa_slif.h.p50 marpa_slif.c.p10 marpa_slif.c.p50: ../shared/copyright_page_license.w marpa_slif.w
	$(CTANGLE) marpa_slif.w

cwebmac.tex: ../shared/cwebmac.tex
	cp $? $@

marpa_slif.tex: cwebmac.tex ../shared/copyright_page_license.w

marpa_slif.pdf: marpa_slif.tex

marpa_slif.c: $(MARPA_SLIF_C_PIECES)
	cat $(MARPA_SLIF_C_PIECES) > $@

CPPWRAP = perl ../bin/cppwrap.pl

marpa_slif.c.p40: marpa_slif.w
	perl w2private_h.pl < $? | $(CPPWRAP) $@ > $@

marpa_slif.h.p80: api.texi internal.texi
	cat api.texi internal.texi | \
	  perl ../bin/texi2proto.pl /dev/null > marpa_slif.h.p80

marpa_slif.h-ops marpa_slif.c-ops: create_ops.pl
	perl create_ops.pl marpa_slif.h-ops | $(CPPWRAP) marpa_slif.c-ops > marpa_slif.c-ops

update_texi:
	emacs -batch internal.texi \
	    -f texinfo-every-node-update \
	    -f texinfo-all-menus-update \
	    -f save-buffer -kill

CLEAN_FILES = marpa_slif.c marpa_slif.c.p10 marpa_slif.c.p40 marpa_slif.c.p50 \
  marpa_slif.h.p50 marpa_slif.h.p80 \
  marpa_slif.idx marpa_slif.log marpa_slif.pdf marpa_slif.scn marpa_slif.tex marpa_slif.toc \
  cwebmac.tex

clean:
	rm -f $(CLEAN_FILES)

=== libmarpa/tavl/Makefile ===
# Copyright 2014 Jeffrey Kegler
# This file is part of Marpa::R2.  Marpa::R2 is free software: you can
# redistribute it and/or modify it under the terms of the GNU Lesser
# General Public License as published by the Free Software Foundation,
# either version 3 of the License, or (at your option) any later version.
#
# Marpa::R2 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser
# General Public License along with Marpa::R2.  If not, see
# http://www.gnu.org/licenses/.

CFLAGS = -g -W -Wall -ansi -pedantic # enable many GCC warnings
LDFLAGS = -g

all: tavl-test

tavl-test: marpa_tavl.c tavl-test.c test.c marpa_tavl.h test.h 
	$(CC) $(CFLAGS) -DTESTING_TAVL $(LDFLAGS) test.c tavl-test.c marpa_tavl.c -o $@

pfaff_version = 2.0.3

clean:
	rm -f tavl-test
	rm -f *.o *.tmp
	rm -f a.out foo*

.PHONY: all
.PHONY: clean

=== lib/Marpa/R2/meta/Makefile ===
# Copyright 2014 Jeffrey Kegler
# This file is part of Marpa::R2.  Marpa::R2 is free software: you can
# redistribute it and/or modify it under the terms of the GNU Lesser
# General Public License as published by the Free Software Foundation,
# either version 3 of the License, or (at your option) any later version.
#
# Marpa::R2 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser
# General Public License along with Marpa::R2.  If not, see
# http://www.gnu.org/licenses/.

dummy:

doit:
	-test -r metag-g3.pl && mv metag-g3.pl metag-g4.pl
	-test -r metag-g2.pl && mv metag-g2.pl metag-g3.pl
	-test -r metag-g1.pl && mv metag-g1.pl metag-g2.pl
	-mv metag.pl metag-g1.pl
	perl sl_to_hash.pl < metag.bnf > metag.pl

bak:
	for f in metag*.pl; do cp $$f $$f.bak; done

diff:
	diff metag.pl metag-g1.pl || true

=== debian/changelog ===
libmarpa-r2-perl (2.086000~dfsg-8build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:12:55 +0000

libmarpa-r2-perl (2.086000~dfsg-8build4) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 17:02:40 +0100

libmarpa-r2-perl (2.086000~dfsg-8build3) noble; urgency=medium

  * No-change rebuild due to failed Launchpad dist-upgrade.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Jan 2024 13:48:07 +0100

libmarpa-r2-perl (2.086000~dfsg-8build2) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 14:09:24 +0100

libmarpa-r2-perl (2.086000~dfsg-8build1) lunar; urgency=medium

  * Rebuild against new perlapi-5.36.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Nov 2022 16:37:28 +0100

libmarpa-r2-perl (2.086000~dfsg-8) unstable; urgency=medium

  * Team upload.
  * debian/rules: make usage of $Config{vendorarch}
    cross-build-compatible.
  * Update debian/watch.
    Use uscan version 4, drop second URL, use uscan macros.

 -- gregor herrmann <gregoa@debian.org>  Wed, 13 Jul 2022 17:54:14 +0200

libmarpa-r2-perl (2.086000~dfsg-7) unstable; urgency=medium

  * Team upload.

  [ intrigeri ]
  * reproducible_build.patch: fix buggy behaviour when SOURCE_DATE_EPOCH
    is not set.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/*: update URLs from {search,www}.cpan.org to MetaCPAN.
  * debian/*: update GitHub URLs to use HTTPS.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper dependency to >= 8, since that's what is used in
    debian/compat.
  * Bump debhelper from deprecated 8 to 10.

  [ gregor herrmann ]
  * debian/control: drop unused devscripts dependency.
  * Drop unneeded version constraints and alternatives from build
    dependencies.
  * Update Build-Depends for cross builds.
  * Annotate test-only build dependencies with <!nocheck>.
  * All of the above based on a patch by Helmut Grohne, thanks.
    Closes: #980529

 -- gregor herrmann <gregoa@debian.org>  Fri, 22 Jan 2021 12:20:47 +0100

libmarpa-r2-perl (2.086000~dfsg-6) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.

  [ Reiner Herrmann ]
  * Honour SOURCE_DATE_EPOCH for embedded timestamp, if it is set,
    for build reproducibility. (Closes: #828639)

 -- intrigeri <intrigeri@debian.org>  Sun, 26 Jun 2016 17:38:49 +0000

libmarpa-r2-perl (2.086000~dfsg-5) unstable; urgency=medium

  * Team upload

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Damyan Ivanov ]
  * Mark package as autopkgtest-able
  * Declare compliance with Debian Policy 3.9.6
  * Remove 'perl' alternative from libmodule-build-perl build dependency
  * skip runtime-tests during autopkg-testing
  * copy more files into autopkgtest testbed and skip what is still failing

 -- Damyan Ivanov <dmn@debian.org>  Wed, 10 Jun 2015 20:17:36 +0000

libmarpa-r2-perl (2.086000~dfsg-4) unstable; urgency=medium

  * Add patch 1001 to work around segfault on i386 on XS auto-generated
    C code.
    Closes: bug#769265. Thanks to Michael Banck.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Nov 2014 19:11:45 +0100

libmarpa-r2-perl (2.086000~dfsg-3) unstable; urgency=medium

  * Fix versioned build-dependency on libmodule-build-perl (add trailing
    zeros).
    Thanks to Gregor Herrmann.
  * Fix use canonical Vcs-Git URL.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Jul 2014 16:09:31 +0200

libmarpa-r2-perl (2.086000~dfsg-2) unstable; urgency=medium

  * Regenerate autotools and build libmarpa with CDBS autotools.mk
    snippet, to hopefully address bug#750356, #750358.
    Build-depend on libtool, automake and autoconf, and tighten
    build-dependency on cdbs.
  * Cleanup left behind custom avoid-changing-automade-files tracking
    file.
  * Add patch 2001 to avoid internally build or link against libmarpa.
  * Git-ignore quilt .pc dir.
  * Fix resolve (not hardcode) path to perl libraries during install.
    Closes: bug#752707. Thanks to Niko Tyni.
  * Build-depend explicitly on libmodule-build-perl, needed with perl
    5.20 and newer.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 Jun 2014 22:24:33 +0200

libmarpa-r2-perl (2.086000~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New upstream release.
    + Explicit core module dependencies.
    + Support use of Marpa::R2 to test external shared libraries.
    + Deprecate unvalued symbols in Libmarpa.
    + Add marpa_g_force_valued() method.
    + New libmarpa versioning.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Jun 2014 19:49:41 +0200

libmarpa-r2-perl (2.084000~dfsg-1) unstable; urgency=low

  * Initial packaging release.
    Closes: bug#748484.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 May 2014 12:50:39 +0200

=== debian/control ===
Source: libmarpa-r2-perl
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: autoconf,
               automake,
               autotools-dev,
               cdbs,
               debhelper (>= 10~),
               dh-buildinfo,
               libconfig-autoconf-perl,
               libcpan-meta-perl <!nocheck>,
               libextutils-cbuilder-perl,
               libhtml-parser-perl <!nocheck>,
               libmodule-build-perl,
               libppi-perl <!nocheck>,
               libtest-simple-perl <!nocheck>,
               libtool,
               perl-xs-dev,
               perl:native
Standards-Version: 3.9.6
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libmarpa-r2-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libmarpa-r2-perl.git
Homepage: https://metacpan.org/release/Marpa-R2

Package: libmarpa-r2-perl
Architecture: any
Depends: ${cdbs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Description: BNF grammar parser
 Marpa::R2 parses any language whose grammar can be written in BNF.
 That includes recursive grammars, ambiguous grammars, infinitely
 ambiguous grammars and grammars with useless or empty productions.
 Marpa does both left- and right-recursion in linear time -- in fact if
 a grammar is in any class currently in practical use, Marpa will parse
 it in linear time.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2014 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Marpa::R2
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_ACLOCAL = ,
DEB_AUTO_UPDATE_AUTOCONF = ,
DEB_AUTO_UPDATE_AUTOMAKE = ,
include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/perl-build.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = $(DEB_SOURCE_PACKAGE)

DEB_UPSTREAM_PACKAGE = Marpa-R2
DEB_UPSTREAM_URL = http://www.cpan.org/CPAN/authors/id/J/JK/JKEGL
DEB_UPSTREAM_TARBALL_MD5 = 1fe355bb35ddb679cc8553a71ae5e678

DEB_UPSTREAM_REPACKAGE_EXCLUDES += \
 ./t/etc/wall_proof.txt

# needed by upstream build
bdeps = libcpan-meta-perl
bdeps +=, libconfig-autoconf-perl
bdeps +=, libextutils-cbuilder-perl
bdeps +=, libmodule-build-perl

# needed by upstream build and (always) at runtime
deps +=, perl
deps +=, libhtml-parser-perl

# Needed (always/optionally) by upstream testsuite
deps-test = libtest-simple-perl
deps-test-opt = libppi-perl

CDBS_BUILD_DEPENDS +=, $(bdeps), $(deps), $(deps-test), $(deps-test-opt)
CDBS_DEPENDS_$(pkg) = $(deps)

# put aside upstream-shipped autogenerated files and (re)generate during build
basedir = libmarpa_dist
makefiledirs = .
files_autoconf_modern = $(auxdir)/compile
DEB_UPSTREAM_CRUFT_MOVE = $(filter-out $(files_autoconf_modern),\
	$(files_autotools))
DEB_UPSTREAM_CRUFT_COPY = libmarpa_dist/LIB_VERSION
makefile-clean::
	rm -f $(files_autoconf_modern)
# TODO: move below to CDBS autotools.mk snippet (if indeed generic)
auxdir = $(basedir)
macrodir = $(basedir)/m4
autom4tedir = $(basedir)/autom4te.cache
files_autotools_core = $(auxdir)/config.guess $(auxdir)/config.sub
stems_m4_libtool = libtool ltoptions ltsugar ltversion lt~obsolete
files_libtool = $(auxdir)/ltmain.sh $(stems_m4_libtool:%=$(macrodir)/%.m4)
files_aclocal = $(basedir)/aclocal.m4
stems_aux_autoconf = ar-lib compile install-sh missing
files_autoconf = $(basedir)/configure $(stems_aux_autoconf:%=$(auxdir)/%)
files_automake = $(auxdir)/depcomp $(makefiledirs:%=$(basedir)/%/Makefile.in)
files_autotools = $(files_autotools_core) $(files_libtool) $(files_aclocal)
files_autotools += $(files_autoconf) $(files_automake)
files_configure = $(DEB_BUILDDIR)/config.log
files_make = $(makefiledirs:%=$(DEB_BUILDDIR)/%/Makefile)
DEB_ACLOCAL_ARGS = -Im4 --install --force
DEB_AUTOMAKE_ARGS = --add-missing --copy --foreign --force
DEB_MAKE_CLEAN_TARGET = distclean
makefile-clean::
	rm -rf $(dirs_autotools)
	rm -f $(filter-out $(DEB_UPSTREAM_CRUFT_MOVE),\
		$(files_autotools) $(files_configure) $(files_make))
clean::
	rm -f $(filter-out $(DEB_UPSTREAM_CRUFT_MOVE),\
		$(files_autotools_core))
	test ! -d $(auxdir) || rmdir --ignore-fail-on-non-empty $(auxdir)

# Use custom sourcedir for autotools (re)generation and make build
DEB_SRCDIR = $(basedir)
DEB_PERL_SRCDIR = .
DEB_BUILDDIR = .

DEB_CONFIGURE_EXTRA_FLAGS = --with-pic --disable-shared

# install demos and their pod files only as example files
include /usr/share/dpkg/architecture.mk
perlver := $(shell perl -MConfig -e 'print $$Config{version}')
perlpath := $(shell perl -I/usr/lib/$(DEB_HOST_MULTIARCH)/perl/cross-config-$(perlver) -MConfig -e 'print $$Config{vendorarch}')
binary-post-install/$(pkg)::
	mkdir -p debian/$(pkg)/usr/share/doc/$(pkg)/examples
	mv -t debian/$(pkg)/usr/share/doc/$(pkg)/examples \
		debian/$(pkg)/usr/bin/marpa_r2_html_* \
		debian/$(pkg)/$(perlpath)/Marpa/R2/html_* \
		debian/$(pkg)/usr/share/man/man3/Marpa::R2::html_*

# avoid headers or library files getting installed
binary-post-install/$(pkg)::
	rm -rf debian/$(pkg)/usr/lib/lib* debian/$(pkg)/usr/include

binary-fixup/$(pkg)::
	chmod -x debian/$(pkg)/usr/share/doc/$(pkg)/examples/*.pod*

# cleanup left behind custom avoid-changing-automade-files tracking file
clean::
	rm -f lib/Marpa/general_pattern.xsh

## libmarpa-r2-perl 12.000000

=== meta/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright 2014 Jeffrey Kegler
+# Copyright 2022 Jeffrey Kegler
 # This file is part of Marpa::R2.  Marpa::R2 is free software: you can
 # redistribute it and/or modify it under the terms of the GNU Lesser
 # General Public License as published by the Free Software Foundation,
@@ -16,6 +16,7 @@
 .PHONY: dummy all html_meta
 
 dummy:
+	@echo '!!!' The main target is '"all"' '!!!'
 
 all: ../lib/Marpa/R2/Internal.pm html_meta

=== xs/Makefile ===
# Copyright 2022 Jeffrey Kegler
# This file is part of Marpa::R2.  Marpa::R2 is free software: you can
# redistribute it and/or modify it under the terms of the GNU Lesser
# General Public License as published by the Free Software Foundation,
# either version 3 of the License, or (at your option) any later version.
#
# Marpa::R2 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser
# General Public License along with Marpa::R2.  If not, see
# http://www.gnu.org/licenses/.

all: general_pattern.xsh marpa_slifop.h

general_pattern.xsh: gp_generate.pl
	perl gp_generate.pl general_pattern.xsh

marpa_slifop.h: create_ops.pl
	perl create_ops.pl > marpa_slifop.h

=== debian/changelog ===
libmarpa-r2-perl (12.000000-1) unstable; urgency=medium

  * Team upload.
  [ Andreas Tille ]
  * Replace cdbs by dh
    Closes: #1103829
  * Drop dh-buildinfo from Build-Depends

  [ Alexandre Detiste ]
  * New upstream version 12.000000 (Closes: #976276)
  * Refresh patches
  * Switch to DebHelper 13

 -- Andreas Tille <tille@debian.org>  Wed, 25 Jun 2025 15:50:33 +0200

libmarpa-r2-perl (2.086000~dfsg-10) unstable; urgency=medium

  * Team upload.
  * Add Rules-Requires-Root: no.
  * Add a chmod after the upstream install step. (Closes: #1089366)
  * Don't install empty /usr/bin directory.
  * Add hardening flag.
  * Declare compliance with Debian Policy 4.7.0.

 -- gregor herrmann <gregoa@debian.org>  Sat, 07 Dec 2024 23:06:11 +0100

libmarpa-r2-perl (2.086000~dfsg-9) unstable; urgency=medium

  * Team upload.
  * debian/rules: backup another upstream file which gets changed during
    the build. (Closes: #1047004)

 -- gregor herrmann <gregoa@debian.org>  Wed, 06 Mar 2024 22:08:15 +0100

=== debian/control ===
Source: libmarpa-r2-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libconfig-autoconf-perl,
               libcpan-meta-perl <!nocheck>,
               libextutils-cbuilder-perl,
               libhtml-parser-perl <!nocheck>,
               libmodule-build-perl,
               libppi-perl <!nocheck>,
               libtest-simple-perl <!nocheck>,
               perl-xs-dev,
               perl:native
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libmarpa-r2-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libmarpa-r2-perl.git
Homepage: https://metacpan.org/release/Marpa-R2
Rules-Requires-Root: no

Package: libmarpa-r2-perl
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
         libclass-accessor-perl,
         libclass-data-inheritable-perl,
         libscalar-list-utils-perl,
         libxml-libxml-perl
Description: BNF grammar parser
 Marpa::R2 parses any language whose grammar can be written in BNF.
 That includes recursive grammars, ambiguous grammars, infinitely
 ambiguous grammars and grammars with useless or empty productions.
 Marpa does both left- and right-recursion in linear time -- in fact if
 a grammar is in any class currently in practical use, Marpa will parse
 it in linear time.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

include /usr/share/dpkg/architecture.mk
perlver := $(shell perl -MConfig -e 'print $$Config{version}')
perlpath := $(shell perl -I/usr/lib/$(DEB_HOST_MULTIARCH)/perl/cross-config-$(perlver) -MConfig -e 'print $$Config{vendorarch}')

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- MARPA_DEBUG_FLAG=-DMARPA_TAG=$(DEB_VERSION)

override_dh_installexamples:
	dh_installexamples
	mkdir -p debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples
	mv -t debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples \
		debian/$(DEB_SOURCE)/usr/bin/marpa_r2_html_* \
		debian/$(DEB_SOURCE)/$(perlpath)/Marpa/R2/html_* \
		debian/$(DEB_SOURCE)/usr/share/man/man3/Marpa::R2::html_*
	rmdir -v --ignore-fail-on-non-empty debian/$(DEB_SOURCE)/usr/bin

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=4
opts=dversionmangle=s/\~dfsg.*// \
https://metacpan.org/release/Marpa-R2  .*/Marpa-R2-v?@ANY_VERSION@@ARCHIVE_EXT@$
